function [z] = fe(pho,r) 
%DI LUCA LONGEGA

%FE distribuzione radiale dell'informazione ricavata da un sensore riguardo lo spazio vuoto.
%   fe(pho,r) - la funzione prende in ingresso il campione di raggio discreto "pho" e la 
%   misura radiale "r", riportata dal sensore. Calcola e traduce in logica fuzzy 
%   (codominio [0,1]), come varia la possibilità che una cella all'interno del cono di 
%   emissione sia libera al variare di "pho" relativamente alla distanza da "r".
%

DeltaR = 0.2;    	% intervallo entro il quale una cella viene 
			    	% considerata prossima alla misura di raggio r in m
                
Ke = 1;       	    % costante della funzione fe

if (pho < (r - DeltaR))
    
   z = Ke;
   
elseif (pho >= r)
    
   z = 0;
   
else 
   
   z = Ke*(((pho - r)/DeltaR)^2);
   
end
